// trapeziumArea.cpp, template of a main that can be re-used for more serious projects
// Author: Emiliano Mocchiutti
// Email : Emiliano.Mocchiutti@ts.infn.it
// 2014/03/26 first version
#include <iostream>
#include <cstdlib> 
#include <string.h>

using namespace std;

//
// Calculate with the standard geometrical equation the area of the trapezium
//
float calculateArea(float fa, float fA, float fh){ // accept as input the three numbers 
  
  float area = (fa + fA) * fh / 2.;

  return area;
}


int main(int argc, char *argv[]){

  float a = 0.;
  float A = 0.;
  float h = 0.;

  if( argc < 4 ){
    cerr << "ERROR: an error occurred while parsing input options! \n";
    cout << "Usage: ./trapeziumArea minor major height [dimension: cm]\n";
    return 1;
  }
  a = atof(argv[1]);
  A = atof(argv[2]);
  h = atof(argv[3]);
  float area = calculateArea(a,A,h);

  cout << " Trapezium area is " << area << " cm2 \n"; 

  return 0;	

}
