// trapeziumArea_file.cpp, template of a main that can be re-used for more serious projects
// Author: Emiliano Mocchiutti
// Email : Emiliano.Mocchiutti@ts.infn.it
// 2014/03/26 first version
#include <fstream>
#include <iostream>
#include <cstdlib> 
#include <string.h>

using namespace std;

//
// Calculate with the standard geometrical equation the area of the trapezium
//
float calculateArea(float fa, float fA, float fh){ // accept as input the three numbers 
  
  float area = (fa + fA) * fh / 2.;

  return area;
}


int main(int argc, char *argv[]){

  float a = 0.;
  float A = 0.;
  float h = 0.;

  if( argc < 2 ){
    cerr << "ERROR: an error occurred while parsing input options! \n";
    cout << "Usage: ./trapeziumArea_file input.dat\n";
    return 1;
  }

  ifstream in;
  in.open(argv[1]); // we decided that the first input is the filename of the input file

  bool forever = true;
  while ( forever ) {
    in >> a >> A >> h ;
    if ( !in.good() ){
	if ( in.eof() ) return 0; // end of the file, end the loop
	if ( in.fail() ) cout << " input file is not properly formatted, last good entry: a = "<<a<<" A = "<<A<<" h = "<<h<<endl;
	return 1;
    } else {
        float area = calculateArea(a,A,h);
        cout << " Trapezium area is " << area << " cm2 \n"; 
    }
  }
  in.close();

  return 0;	

}
